\documentclass[11pt,a4paper]{article}

\usepackage{mathrsfs, amssymb, amsthm, enumerate, amsmath, pictexwd, ../../yomcat}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 431 \hfill
Assignment 4 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{enumerate}[(a)]
		\item $\scr{G} = \{ (12345), (13524), (14253), (15432), (1)(2)(3)(4)(5) \}$. Label the elements as $\alpha = (12345)$, $\beta = (13524)$, $\gamma = (14253)$, $\delta = (15432)$, $\iota = (1)(2)(3)(4)(5)$. Then the types are as follows: \\
		\[\begin{tabular}{c|c|c}
		Element & Type & cip \\ \hline
		$\alpha$ & \tuple{0,0,0,0,1} & $x_5$ \\
		$\beta$ & \tuple{0,0,0,0,1} & $x_5$ \\
		$\gamma$ & \tuple{0,0,0,0,1} & $x_5$ \\
		$\delta$ & \tuple{0,0,0,0,1} & $x_5$ \\
		$\iota$ & \tuple{5,0,0,0,0} & $x_1^5$ \\
		\end{tabular}\]
		From this, the cycle index polynomial of \scr{G} is $Z = \frac{1}{5} (x_1^5 + x_5 + x_5 + x_5 + x_5) $.
		\item The number of \scr{G}-patterns is \[ \frac{1}{5}\left(7^5 + 4 \cdot 7\right) = 3367 \]
		\item Let $x = c_0 + c_1 + c_2 + c_3 + c_4 + c_5 + c_6$. Therefore $x_1 = x$ and $x_5 = c_0^5 + c_1^5 + c_2^5 + c_3^5 + c_4^5 + c_5^5 + c_6^5$. Subbing these values into $5Z$ and expanding gives a hideous polynomial, from which I will spare you. Finding terms in this polynomial where the power of $c_0$ is at least 3 gives the following table:
			\[\begin{tabular}{c|c|c}
			Term & Count & Coefficent \\ \hline
			$c_0^3c_i^2$ & 6 & 10 \\
			$c_0^3c_ic_j$ & 15 & 20 \\
			$c_0^4c_i$ & 6 & 5 \\
			$c_0^5$ & 5 & 1 \\
			\end{tabular}\]
		From this, the number of patterns that have at least 3 elements coloured zero is $\frac{1}{5} (6 \cdot 10 + 15 \cdot 20 + 6 \cdot 5 + 5 \cdot 1) = 79$.
		\item Look at that hideous polynomial from part (c) again. This time, look for the coefficient of the term $c_1^2c_2c_4^2$, which is 30. Therefore the number of patterns that have 2 elements coloured one, 1 element coloured two and 2 elements coloured four is $\frac{30}{5} = 6$.
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item \begin{enumerate}[i.]
			\item The cycle index polynomial of this action is \[ \frac{1}{24}(x_1^8 + 6x^2_4 + 8x^2_1x_3^2 + 9x_2^4) \]
			\item Substitute $c$ for each $x_i$ in the cycle index polynomial to get \[ \frac{1}{24}(c^8 + 17c^4 + 6c^2) \]
		\end{enumerate}
		\item \begin{enumerate}[i.]
			\item The cycle index polynomial of this action is \[ \frac{1}{24}(x_1^{12} + 8x_3^4 + 6x_1^2x_2^5 + 6x_4^3 + 3x_2^6) \]
			\item Substitute $c$ for each $x_i$ in the cycle index polynomial to get \[ \frac{1}{24}(c^{12} + 6c^7 + 3c^6 + 8c^4 + 6c^3) \]
		\end{enumerate}
		\item \begin{enumerate}[i.]
			\item The cycle index polynomial of this action is \[ \frac{1}{24} (x_1^6 + 8x_3^2 + 6x_2^3 + 3x_1^2x_2^2 + 6x_1^2x_4^1) \]
			\item Substitute $c$ for each $x_i$ in the cycle index polynomial to get \[ \frac{1}{24} (c^6 + 3c^4 + 12c^3 + 8c^2) \]
		\end{enumerate}
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item The eight functions are defined as follows: \[\begin{tabular}{c|ccc}
		$i$ & 1 & 2 & 3 \\ \hline
		$f_1(i)$ & 1 & 1 & 1 \\
		$f_2(i)$ & 1 & 1 & 2 \\
		$f_3(i)$ & 1 & 2 & 1 \\
		$f_4(i)$ & 1 & 2 & 2 \\
		$f_5(i)$ & 2 & 1 & 1 \\
		$f_6(i)$ & 2 & 1 & 2 \\
		$f_7(i)$ & 2 & 2 & 1 \\
		$f_8(i)$ & 2 & 2 & 2
		\end{tabular}\]
		\item The images of the six elements of \scr{G} are $\iota = (1,2,3)$, $\sigma = (1,3,2)$, $\tau = (2,1,3)$, $\rho = (2,3,1)$, $\zeta = (3,1,2)$, $\xi = (3,2,1)$. Applying these to each of the eight functions gives the following results:\[\begin{tabular}{c|cccccc}
			 & $\iota$ & $\sigma$ & $\tau$ & $\rho$ & $\zeta$ & $\xi$ \\ \hline
			$f_1$ & 111 & 111 & 111 & 111 & 111 & 111 \\
			$f_2$ & 112 & 121 & 112 & 121 & 211 & 211 \\
			$f_3$ & 121 & 112 & 211 & 211 & 112 & 121 \\
			$f_4$ & 122 & 122 & 212 & 221 & 212 & 221 \\
			$f_5$ & 211 & 211 & 121 & 112 & 121 & 112 \\
			$f_6$ & 212 & 221 & 122 & 122 & 221 & 212 \\
			$f_7$ & 221 & 212 & 221 & 212 & 122 & 122 \\
			$f_8$ & 222 & 222 & 222 & 222 & 222 & 222 
		\end{tabular}\]
		From this it can be seen that the \scr{G}-orbits of the functions are as follows: \[\begin{tabular}{c|c}
			Function & Orbit \\ \hline
			$f_1$ & $\{1,1,1\}$ \\
			$f_2$ & $\{1,1,2\}$ \\
			$f_3$ & $\{1,1,2\}$ \\
			$f_4$ & $\{1,2,2\}$ \\
			$f_5$ & $\{1,1,2\}$ \\
			$f_6$ & $\{1,2,2\}$ \\
			$f_7$ & $\{1,2,2\}$ \\
			$f_8$ & $\{2,2,2\}$
		\end{tabular}\]
		And there are four different orbits.
		\item The cycle index polynomial of $S_3$ is $P_G = \frac{1}{6} (x_1^3 + 3x_1x_2 + 2x_3)$. \\
		Polya's Theorem states that the number of \scr{G}-orbits is $P_G(\sum w(c), \sum (w(c))^2, \sum (w(c))^3)$, which is $\frac{1}{6}((x + y)^3 + 3(x + y)(x^2 + y^2) + 2(x^3 + y^3))$. Setting $x = 1 = y$, one gets $\frac{1}{6}(8 + 12 + 4) = 4$ different orbits, which is the same answer as obtained above.
	\end{enumerate}
	\item The maximum possible number of cards is $10^n$. However, there are 5 numbers that can be flipped, so once needs to remove $\frac{1}{2}5^n$ cards. In doing so, one just removes too many cards, as 0, 1, and 8 are their own inverses. So one needs to add back in $\frac{3}{2}5^m$ cards. Therefore, the number of distinct cards is \[ 10^n - \frac{1}{2}5^n + \frac{3}{2}5^m \]
	\item
\end{enumerate}

\end{document}